Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsUnknown

    java.lang.Object
      |
      +--com.novell.service.nds.NdsUnknown

public class NdsUnknown
extends java.lang.Object
implements NdsAttributeValue, , java.lang.Cloneable, java.io.Serializable

Provides access to values of the Unknown attribute. It is used for attributes that represents strings of binary information. Attributes whose attribute definition has been deleted from the schema use the Unknown syntax.

Matching Rules: (none)

See Also:
  `NdsSyntaxId`, Serialized Form

Constructor Summary
`protected` | `NdsUnknown(java.lang.String attributeName, int syntaxId, byte[] value)` Constructs an NdsUnknown object based on the specified attributeName, syntaxId, and value parameters.

Method Summary
`boolean` | `approximate(java.lang.Object anObject)` Compares two Objects using the approximate matching rule.
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`int` | `compareTo(java.lang.Object anObject)` Compares two objects for ordering, or compares two strings lexicographically.
`int` | `count()` Returns the number of elements in this sequence.
`boolean` | `equals(java.lang.Object anObject)` Compares two Objects for equality.
`java.lang.String` | `getAttributeName()` Returns the attribute name stored as a String value in the object data member.
`int` | `getAttributeSyntaxId()` Returns the attribute syntax ID stored as an int value in the object data member.
`int` | `getNdsSyntaxId()` Returns the int that represents the NDS syntax ID.
`byte[]` | `getValue()` Returns the value stored as a byte array in the object data member.
`` | `getValue(java.lang.String compositeId)` Returns a SchemaValue object based on the given passed-in string containing the element value.
`java.util.Enumeration` | `getValueIds()` Returns an enumeration of composit IDs.
`int` | `getValueLength()` Returns the value length stored as an int value in the object data member.
`java.util.Enumeration` | `getValues()` Returns an enumeration of the elements in this composite.
`boolean` | `supportsMatchingRules(int matchingRules)` Checks to see if this object supports the specified matching rules.
`java.lang.String` | `toString()` Generates a string representation of the object.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NdsUnknown

    protected NdsUnknown(java.lang.String attributeName,
                         int syntaxId,
                         byte[] value)

  Constructs an NdsUnknown object based on the specified attributeName, syntaxId, and value parameters.
  Parameters:
    `attributeName` - The attribute name stored as a String value.
    `syntaxId` - The syntax ID stored as an int value.
    `value` - The values stored as a byte array.

Method Detail

### compareTo

    public int compareTo(java.lang.Object anObject)
                  throws java.lang.Exception

  Compares two objects for ordering, or compares two strings lexicographically. The compareTo method does not apply to the Unknown syntax because this syntax does not support the ordering and substrings matching rules.

### equals

    public boolean equals(java.lang.Object anObject)

  Compares two Objects for equality. The equals method compares this object value with the value of the reference object in the anObject parameter. The equals method does not apply to the Unknown syntax because this syntax does not support the equality matching rule.
  Overrides:
    equals in class java.lang.Object

### count

    public int count()

  Returns the number of elements in this sequence.
  Specified by:
    count in interface
  Returns:
    The number of elements in this sequence as an int.

### getValue

    public  getValue(java.lang.String compositeId)

  Returns a SchemaValue object based on the given passed-in string containing the element value. The SchemaValue object is a Java language data type.
  Specified by:
    getValue in interface
  Parameters:
    `compositeId` - The passed-in string containing the element value.
  Returns:
    The SchemaValue object containing the attributeName, syntaxId, and valueLength, or NULL.

### getValueIds

    public java.util.Enumeration getValueIds()

  Returns an enumeration of composit IDs.
  Specified by:
    getValueIds in interface
  Returns:
    An enumeration of composite IDs.

### getValues

    public java.util.Enumeration getValues()

  Returns an enumeration of the elements in this composite.
  Specified by:
    getValues in interface
  Returns:
    An enumeration of the composite elements (attributeName, syntaxId, and value.length).

### approximate

    public boolean approximate(java.lang.Object anObject)
                        throws java.lang.Exception

  Compares two Objects using the approximate matching rule. The approximate method does not apply to the Unknown syntax because this syntax does not support the approximate equals matching rule.
  Specified by:
    approximate in interface NdsAttributeValue

### getNdsSyntaxId

    public int getNdsSyntaxId()

  Returns the int that represents the NDS syntax ID.
  Specified by:
    getNdsSyntaxId in interface NdsAttributeValue
  Returns:
    The syntax ID as an int.

### supportsMatchingRules

    public boolean supportsMatchingRules(int matchingRules)

  Checks to see if this object supports the specified matching rules. The Unknown syntax does not supports any of the matching rules.
  Specified by:
    supportsMatchingRules in interface NdsAttributeValue
  Parameters:
    `matchingRules` - The set of matching rules to check.
  Returns:
    A Boolean set to TRUE if the matching rules for this object are equal to the matchingRules parameter.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning them the same value as the corresponding fields in this object. No constructor is called.
  Returns:
    A clone of this object instance containing the cloned syntax.
  Overrides:
    clone in class java.lang.Object

### toString

    public java.lang.String toString()

  Generates a string representation of the object. It returns a string that textually represents the object. The result should be a concise but informative representation that is easy to read.
  Returns:
    The String representation of the object.
  Overrides:
    toString in class java.lang.Object

### getAttributeName

    public java.lang.String getAttributeName()

  Returns the attribute name stored as a String value in the object data member.
  Returns:
    The attribute name as a String value.

### getAttributeSyntaxId

    public int getAttributeSyntaxId()

  Returns the attribute syntax ID stored as an int value in the object data member.
  Returns:
    The attribute syntax ID as an int value.

### getValueLength

    public int getValueLength()

  Returns the value length stored as an int value in the object data member.
  Returns:
    The value length as an int value.

### getValue

    public byte[] getValue()

  Returns the value stored as a byte array in the object data member.
  Returns:
    The byte array of values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD